Bug 1869480 (CVE-2020-8624) - CVE-2020-8624 bind: incorrect enforcement of update-policy rules of type "subdomain"
Summary: CVE-2020-8624 bind: incorrect enforcement of update-policy rules of type "sub...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8624
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1869501 1869502 1870906 1874953 1874955 1874958 1874961
Blocks: 1869469
TreeView+ depends on / blocked
 
Reported: 2020-08-18 05:10 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-16 19:29 UTC (History)
11 users (show)

Fixed In Version: bind 9.11.22, bind 9.16.6, bind 9.17.4
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in bind. Updates to "Update-policy" rules of type "subdomain" are treated as if they were of type "zonesub" which allows updates to all parts of the zone along with the intended subdomain. The highest threat from this vulnerability is to data integrity.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:26:30 UTC


Attachments (Terms of Use)
Patch against 9.11.22 (485 bytes, patch)
2020-08-18 06:50 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4500 0 None None None 2020-11-04 01:31:11 UTC
Red Hat Product Errata RHSA-2020:5011 0 None None None 2020-11-10 13:00:10 UTC
Red Hat Product Errata RHSA-2020:5203 0 None None None 2020-11-24 10:55:06 UTC

Description Huzaifa S. Sidhpurwala 2020-08-18 05:10:33 UTC
As per upstream advisory:

Change 4885 inadvertently caused "update-policy" rules of type "subdomain" to be treated as if they were of type "zonesub", allowing updates to all parts of the zone along with the intended subdomain.

An attacker who has been granted privileges to change a specific subset of the zone's content could abuse these unintended additional privileges to update other contents of the zone.

Comment 1 Huzaifa S. Sidhpurwala 2020-08-18 05:10:38 UTC
Acknowledgments:

Name: ISC
Upstream: Joop Boonen (credativ GmbH)

Comment 2 Huzaifa S. Sidhpurwala 2020-08-18 06:50:46 UTC
Created attachment 1711688 [details]
Patch against 9.11.22

Comment 4 Huzaifa S. Sidhpurwala 2020-08-21 02:20:26 UTC
External References:

https://kb.isc.org/docs/cve-2020-8624

Comment 5 Huzaifa S. Sidhpurwala 2020-08-21 02:21:47 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1870906]

Comment 6 Huzaifa S. Sidhpurwala 2020-08-26 16:05:16 UTC
Upstream commit: https://gitlab.isc.org/isc-projects/bind9/-/commit/e4cccf9668c7adee4724a7649ec64685f82c8677

Comment 8 Petr Menšík 2020-09-03 16:51:53 UTC
This error was introduced by upstream change 8f1ed05dc0a[1], which is contained only in 9.11 branch. Previous release 9.9.4 already has correct difference between "zonesub" and "subdomain" types. This is kind of regression noted much later.

1. https://gitlab.isc.org/isc-projects/bind9/commit/8f1ed05dc0aae7ae6c3da6ec6d405df61257a61e

Comment 18 errata-xmlrpc 2020-11-04 01:31:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4500 https://access.redhat.com/errata/RHSA-2020:4500

Comment 19 Product Security DevOps Team 2020-11-04 02:26:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8624

Comment 21 errata-xmlrpc 2020-11-10 13:00:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:5011 https://access.redhat.com/errata/RHSA-2020:5011

Comment 23 errata-xmlrpc 2020-11-24 10:55:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:5203 https://access.redhat.com/errata/RHSA-2020:5203


Note You need to log in before you can comment on or make changes to this bug.